I see you recommend the Teensy 3.5 over the 3.6. Is there any reason for this? I already have a 3.6.